/*
	This file is part of Cocktail http://www.silexlabs.org/groups/labs/cocktail/
	This project is © 2010-2011 Silex Labs and is released under the GPL License:
	This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (GPL) as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 
	This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
	To read the license please visit http://www.gnu.org/copyleft/gpl.html
*/
package cocktail.core.css;

import cocktail.core.css.CSSData;

/**
 * The CSSMediaRule interface 
 * represents a "@media" rule.
 * 
 * @author Yannick DOMINGUEZ
 */
class CSSMediaRule extends CSSRule
{
	/**
	 * returns a MediaList object for 
	 * the list of media queries specified with the "@media" rule.
	 */
	public var media(default, null):MediaList;
	
	/**
	 * return a CSSRuleList object for the list 
	 * of CSS rules specified with the "@media" rule.
	 */
	public var cssRules(default, null):CSSRuleList;
	
	/**
	 * class constructor
	 */
	public function new(parentStyleSheet:CSSStyleSheet = null, parentRule:CSSRule = null) 
	{
		super(parentStyleSheet, parentRule);
	}
	
	public function insertRule(rule:String, index:Int):Int
	{
		return -1;
	}
	
	public function deleteRule(index:Int):Void
	{
		
	}
	
}