/*
	This file is part of Cocktail http://www.silexlabs.org/groups/labs/cocktail/
	This project is © 2010-2011 Silex Labs and is released under the GPL License:
	This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (GPL) as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 
	This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
	To read the license please visit http://www.gnu.org/copyleft/gpl.html
*/
package cocktail.core.html;

/**
 * List constants for HTML tag name and attributes
 * 
 * @author Yannick DOMINGUEZ
 */
class HTMLConstants 
{
	//tag names
	
	public static inline var HTML_BODY_TAG_NAME:String = "BODY";

	public static inline var HTML_ANCHOR_TAG_NAME:String = "A";
	
	public static inline var HTML_IMAGE_TAG_NAME:String = "IMG";
	
	public static inline var HTML_INPUT_TAG_NAME:String = "INPUT";
	
	public static inline var HTML_HTML_TAG_NAME:String = "HTML";
	
	public static inline var HTML_VIDEO_TAG_NAME:String = "VIDEO";
	
	public static inline var HTML_AUDIO_TAG_NAME:String = "AUDIO";
	
	public static inline var HTML_SOURCE_TAG_NAME:String = "SOURCE";
	
	public static inline var HTML_DIV_TAG_NAME:String = "DIV";
	
	public static inline var HTML_OBJECT_TAG_NAME:String = "OBJECT";
	
	public static inline var HTML_PARAM_TAG_NAME:String = "PARAM";
	
	public static inline var HTML_ADRESS_TAG_NAME:String = "ADRESS";
	
	public static inline var HTML_DD_TAG_NAME:String = "DD";
	
	public static inline var HTML_DL_TAG_NAME:String = "DL";
	
	public static inline var HTML_DT_TAG_NAME:String = "DT";
	
	public static inline var HTML_FIELDSET_TAG_NAME:String = "FIELDSET";
	
	public static inline var HTML_FORM_TAG_NAME:String = "FORM";
	
	public static inline var HTML_FRAME_TAG_NAME:String = "FRAME";
	
	public static inline var HTML_FRAMESET_TAG_NAME:String = "FRAMESET";
	
	public static inline var HTML_NOFRAMES_TAG_NAME:String = "NOFRAMES";
	
	public static inline var HTML_OL_TAG_NAME:String = "OL";
	
	public static inline var HTML_CENTER_TAG_NAME:String = "CENTER";
	
	public static inline var HTML_DIR_TAG_NAME:String = "DIR";
	
	public static inline var HTML_HR_TAG_NAME:String = "HR";
	
	public static inline var HTML_MENU_TAG_NAME:String = "MENU";
	
	public static inline var HTML_LI_TAG_NAME:String = "LI";
	
	public static inline var HTML_UL_TAG_NAME:String = "UL";
	
	public static inline var HTML_HEAD_TAG_NAME:String = "HEAD";
	
	public static inline var HTML_H1_TAG_NAME:String = "H1";
	
	public static inline var HTML_H2_TAG_NAME:String = "H2";
	
	public static inline var HTML_H3_TAG_NAME:String = "H3";
	
	public static inline var HTML_H4_TAG_NAME:String = "H4";
	
	public static inline var HTML_H5_TAG_NAME:String = "H5";
	
	public static inline var HTML_H6_TAG_NAME:String = "H6";
	
	public static inline var HTML_P_TAG_NAME:String = "P";
	
	public static inline var HTML_PRE_TAG_NAME:String = "PRE";
	
	public static inline var HTML_CODE_TAG_NAME:String = "CODE";
	
	public static inline var HTML_I_TAG_NAME:String = "I";
	
	public static inline var HTML_CITE_TAG_NAME:String = "CITE";
	
	public static inline var HTML_EM_TAG_NAME:String = "EM";
	
	public static inline var HTML_VAR_TAG_NAME:String = "VAR";
	
	public static inline var HTML_BLOCKQUOTE_TAG_NAME:String = "BLOCKQUOTE";
	
	public static inline var HTML_STRONG_TAG_NAME:String = "STRONG";
	
	public static inline var HTML_BIG_TAG_NAME:String = "BIG";
	
	public static inline var HTML_SMALL_TAG_NAME:String = "SMALL";
	
	public static inline var HTML_SUB_TAG_NAME:String = "SUB";
	
	public static inline var HTML_SUP_TAG_NAME:String = "SUP";
	
	public static inline var HTML_LINK_TAG_NAME:String = "LINK";
	
	public static inline var HTML_STYLE_TAG_NAME:String = "STYLE";
	
	public static inline var HTML_BR_TAG_NAME:String = "BR";
	
	public static inline var HTML_META_TAG_NAME:String = "META";
	
	//attributes names
	
	public static inline var HTML_ID_ATTRIBUTE_NAME:String = "id";
	
	public static inline var HTML_CLASS_ATTRIBUTE_NAME:String = "class";
	
	public static inline var HTML_HIDDEN_ATTRIBUTE_NAME:String = "hidden";
	
	public static inline var HTML_TAB_INDEX_ATTRIBUTE_NAME:String = "tabindex";
	
	public static inline var HTML_STYLE_ATTRIBUTE_NAME:String = "style";

	public static inline var HTML_SRC_ATTRIBUTE_NAME:String = "src";

	public static inline var HTML_VALUE_ATTRIBUTE_NAME:String = "value";
	
	public static inline var HTML_AUTOPLAY_ATTRIBUTE_NAME:String = "autoplay";
	
	public static inline var HTML_LOOP_ATTRIBUTE_NAME:String = "loop";
	
	public static inline var HTML_TYPE_ATTRIBUTE_NAME:String = "type";

	public static inline var HTML_MEDIA_ATTRIBUTE_NAME:String = "media";
	
	public static inline var HTML_HREF_ATTRIBUTE_NAME:String = "href";
	
	public static inline var HTML_TARGET_ATTRIBUTE_NAME:String = "target";
	
	public static inline var HTML_DATA_ATTRIBUTE_NAME:String = "data";
	
	public static inline var HTML_HEIGHT_ATTRIBUTE_NAME:String = "height";
	
	public static inline var HTML_WIDTH_ATTRIBUTE_NAME:String = "width";
	
	public static inline var HTML_POSTER_ATTRIBUTE_NAME:String = "poster";
	
	public static inline var HTML_NAME_ATTRIBUTE_NAME:String = "name";
	
	public static inline var HTML_REL_ATTRIBUTE_NAME:String = "rel";
	
	public static inline var HTML_HREFLANG_ATTRIBUTE_NAME:String = "hreflang";
	
	public static inline var HTML_DISABLED_ATTRIBUTE_NAME:String = "disabled";
	
	public static inline var HTML_CHECKED_ATTRIBUTE_NAME:String = "checked";
	
	public static inline var HTML_MAXLENGTH_ATTRIBUTE_NAME:String = "maxlength";
	
	public static inline var HTML_CONTENT_ATTRIBUTE_NAME:String = "content";
	
	public static inline var HTML_PRELOAD_ATTRIBUTE_NAME:String = "preload";
	
	//preload attribute values
	
	public static inline var PRELOAD_AUTO:String = "auto";
	
	public static inline var PRELOAD_NONE:String = "none";
	
	public static inline var PRELOAD_METADATA:String = "metadata";

	//anchor target const

	public static inline var TARGET_BLANK:String = "_blank";
	
	public static inline var TARGET_SELF:String = "_self";
	
	public static inline var TARGET_PARENT:String = "_parent";
	
	public static inline var TARGET_TOP:String = "_top";
	
	// html tokens
	
	public static inline var HTML_TOKEN_LESS_THAN:String = "<";
	
	public static inline var HTML_TOKEN_MORE_THAN:String = ">";
	
	public static inline var HTML_TOKEN_SOLIDUS:String = "/";
	
	private function new() 
	{
		
	}
	
}